org.apache.nutch.storage

## Class WebPage.Tombstone

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.gora.persistency.impl.PersistentBase
    - - org.apache.nutch.storage.WebPage
      - - org.apache.nutch.storage.WebPage.Tombstone

- All Implemented Interfaces:
    java.io.Externalizable, java.io.Serializable, java.lang.Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord, org.apache.gora.persistency.Dirtyable, org.apache.gora.persistency.Persistent, org.apache.gora.persistency.Tombstone
  Enclosing class:
    WebPage

      public static final class WebPage.Tombstone
      extends WebPage
      implements org.apache.gora.persistency.Tombstone

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.nutch.storage.WebPage

      `WebPage.Builder, WebPage.Field, WebPage.Tombstone`

    - ### Nested classes/interfaces inherited from class org.apache.gora.persistency.impl.PersistentBase

      `org.apache.gora.persistency.impl.PersistentBase.PersistentData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.storage.WebPage

      `_ALL_FIELDS, SCHEMA$`

    - ### Fields inherited from interface org.apache.gora.persistency.Persistent

      `DIRTY_BYTES_FIELD_NAME`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.CharSequence` | `getBaseUrl()` Gets the value of the 'baseUrl' field.
    `java.lang.CharSequence` | `getBatchId()` Gets the value of the 'batchId' field.
    `java.nio.ByteBuffer` | `getContent()` Gets the value of the 'content' field.
    `java.lang.CharSequence` | `getContentType()` Gets the value of the 'contentType' field.
    `java.lang.Integer` | `getFetchInterval()` Gets the value of the 'fetchInterval' field.
    `java.lang.Long` | `getFetchTime()` Gets the value of the 'fetchTime' field.
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getHeaders()` Gets the value of the 'headers' field.
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getInlinks()` Gets the value of the 'inlinks' field.
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getMarkers()` Gets the value of the 'markers' field.
    `java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer>` | `getMetadata()` Gets the value of the 'metadata' field.
    `java.lang.Long` | `getModifiedTime()` Gets the value of the 'modifiedTime' field.
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getOutlinks()` Gets the value of the 'outlinks' field.
    `ParseStatus` | `getParseStatus()` Gets the value of the 'parseStatus' field.
    `java.lang.Long` | `getPrevFetchTime()` Gets the value of the 'prevFetchTime' field.
    `java.lang.Long` | `getPrevModifiedTime()` Gets the value of the 'prevModifiedTime' field.
    `java.nio.ByteBuffer` | `getPrevSignature()` Gets the value of the 'prevSignature' field.
    `ProtocolStatus` | `getProtocolStatus()` Gets the value of the 'protocolStatus' field.
    `java.lang.CharSequence` | `getReprUrl()` Gets the value of the 'reprUrl' field.
    `java.lang.Integer` | `getRetriesSinceFetch()` Gets the value of the 'retriesSinceFetch' field.
    `java.lang.Float` | `getScore()` Gets the value of the 'score' field.
    `java.nio.ByteBuffer` | `getSignature()` Gets the value of the 'signature' field.
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getSitemaps()` Gets the value of the 'sitemaps' field.
    `java.lang.Integer` | `getStatus()` Gets the value of the 'status' field.
    `java.lang.Float` | `getStmPriority()` Gets the value of the 'stmPriority' field.
    `java.lang.CharSequence` | `getText()` Gets the value of the 'text' field.
    `java.lang.CharSequence` | `getTitle()` Gets the value of the 'title' field.
    `boolean` | `isBaseUrlDirty()` Checks the dirty status of the 'baseUrl' field.
    `boolean` | `isBatchIdDirty()` Checks the dirty status of the 'batchId' field.
    `boolean` | `isContentDirty()` Checks the dirty status of the 'content' field.
    `boolean` | `isContentTypeDirty()` Checks the dirty status of the 'contentType' field.
    `boolean` | `isFetchIntervalDirty()` Checks the dirty status of the 'fetchInterval' field.
    `boolean` | `isFetchTimeDirty()` Checks the dirty status of the 'fetchTime' field.
    `boolean` | `isHeadersDirty()` Checks the dirty status of the 'headers' field.
    `boolean` | `isInlinksDirty()` Checks the dirty status of the 'inlinks' field.
    `boolean` | `isMarkersDirty()` Checks the dirty status of the 'markers' field.
    `boolean` | `isMetadataDirty()` Checks the dirty status of the 'metadata' field.
    `boolean` | `isModifiedTimeDirty()` Checks the dirty status of the 'modifiedTime' field.
    `boolean` | `isOutlinksDirty()` Checks the dirty status of the 'outlinks' field.
    `boolean` | `isParseStatusDirty()` Checks the dirty status of the 'parseStatus' field.
    `boolean` | `isPrevFetchTimeDirty()` Checks the dirty status of the 'prevFetchTime' field.
    `boolean` | `isPrevModifiedTimeDirty()` Checks the dirty status of the 'prevModifiedTime' field.
    `boolean` | `isPrevSignatureDirty()` Checks the dirty status of the 'prevSignature' field.
    `boolean` | `isProtocolStatusDirty()` Checks the dirty status of the 'protocolStatus' field.
    `boolean` | `isReprUrlDirty()` Checks the dirty status of the 'reprUrl' field.
    `boolean` | `isRetriesSinceFetchDirty()` Checks the dirty status of the 'retriesSinceFetch' field.
    `boolean` | `isScoreDirty()` Checks the dirty status of the 'score' field.
    `boolean` | `isSignatureDirty()` Checks the dirty status of the 'signature' field.
    `boolean` | `isSitemapsDirty()` Checks the dirty status of the 'sitemaps' field.
    `boolean` | `isStatusDirty()` Checks the dirty status of the 'status' field.
    `boolean` | `isStmPriorityDirty()` Checks the dirty status of the 'stmPriority' field.
    `boolean` | `isTextDirty()` Checks the dirty status of the 'text' field.
    `boolean` | `isTitleDirty()` Checks the dirty status of the 'title' field.
    `void` | `setBaseUrl(java.lang.CharSequence value)` Sets the value of the 'baseUrl' field.
    `void` | `setBatchId(java.lang.CharSequence value)` Sets the value of the 'batchId' field.
    `void` | `setContent(java.nio.ByteBuffer value)` Sets the value of the 'content' field.
    `void` | `setContentType(java.lang.CharSequence value)` Sets the value of the 'contentType' field.
    `void` | `setFetchInterval(java.lang.Integer value)` Sets the value of the 'fetchInterval' field.
    `void` | `setFetchTime(java.lang.Long value)` Sets the value of the 'fetchTime' field.
    `void` | `setHeaders(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'headers' field.
    `void` | `setInlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'inlinks' field.
    `void` | `setMarkers(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'markers' field.
    `void` | `setMetadata(java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> value)` Sets the value of the 'metadata' field.
    `void` | `setModifiedTime(java.lang.Long value)` Sets the value of the 'modifiedTime' field.
    `void` | `setOutlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'outlinks' field.
    `void` | `setParseStatus(ParseStatus value)` Sets the value of the 'parseStatus' field.
    `void` | `setPrevFetchTime(java.lang.Long value)` Sets the value of the 'prevFetchTime' field.
    `void` | `setPrevModifiedTime(java.lang.Long value)` Sets the value of the 'prevModifiedTime' field.
    `void` | `setPrevSignature(java.nio.ByteBuffer value)` Sets the value of the 'prevSignature' field.
    `void` | `setProtocolStatus(ProtocolStatus value)` Sets the value of the 'protocolStatus' field.
    `void` | `setReprUrl(java.lang.CharSequence value)` Sets the value of the 'reprUrl' field.
    `void` | `setRetriesSinceFetch(java.lang.Integer value)` Sets the value of the 'retriesSinceFetch' field.
    `void` | `setScore(java.lang.Float value)` Sets the value of the 'score' field.
    `void` | `setSignature(java.nio.ByteBuffer value)` Sets the value of the 'signature' field.
    `void` | `setSitemaps(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'sitemaps' field.
    `void` | `setStatus(java.lang.Integer value)` Sets the value of the 'status' field.
    `void` | `setStmPriority(java.lang.Float value)` Sets the value of the 'stmPriority' field.
    `void` | `setText(java.lang.CharSequence value)` Sets the value of the 'text' field.
    `void` | `setTitle(java.lang.CharSequence value)` Sets the value of the 'title' field.

    - ### Methods inherited from class org.apache.nutch.storage.WebPage

      `get, getFieldsCount, getSchema, getTombstone, newBuilder, newBuilder, newBuilder, newInstance, put, readExternal, writeExternal`

    - ### Methods inherited from class org.apache.gora.persistency.impl.PersistentBase

      `clear, clearDirty, clearDirty, clearDirty, equals, getDirtyBytes, getUnmanagedFields, isDirty, isDirty, isDirty, setDirty, setDirty, setDirty, setDirtyBytes`

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, get, getConverion, getConversion, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.gora.persistency.Persistent

      `clear, clearDirty, clearDirty, getUnmanagedFields, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from interface org.apache.gora.persistency.Dirtyable

      `clearDirty, isDirty`

- - ### Method Detail

    - #### getBaseUrl

          public java.lang.CharSequence getBaseUrl()

      Gets the value of the 'baseUrl' field. The original associated with this WebPage.
      Overrides:
        `getBaseUrl` in class `WebPage`

    - #### setBaseUrl

          public void setBaseUrl(java.lang.CharSequence value)

      Sets the value of the 'baseUrl' field. The original associated with this WebPage. * @param value the value to set.
      Overrides:
        `setBaseUrl` in class `WebPage`

    - #### isBaseUrlDirty

          public boolean isBaseUrlDirty()

      Checks the dirty status of the 'baseUrl' field. A field is dirty if it represents a change that has not yet been written to the database. The original associated with this WebPage. * @param value the value to set.
      Overrides:
        `isBaseUrlDirty` in class `WebPage`

    - #### getStatus

          public java.lang.Integer getStatus()

      Gets the value of the 'status' field. A crawl status associated with the WebPage, can be of value STATUS_UNFETCHED - WebPage was not fetched yet, STATUS_FETCHED - WebPage was successfully fetched, STATUS_GONE - WebPage no longer exists, STATUS_REDIR_TEMP - WebPage temporarily redirects to other page, STATUS_REDIR_PERM - WebPage permanently redirects to other page, STATUS_RETRY - Fetching unsuccessful, needs to be retried e.g. transient errors and STATUS_NOTMODIFIED - fetching successful - page is not modified
      Overrides:
        `getStatus` in class `WebPage`

    - #### setStatus

          public void setStatus(java.lang.Integer value)

      Sets the value of the 'status' field. A crawl status associated with the WebPage, can be of value STATUS_UNFETCHED - WebPage was not fetched yet, STATUS_FETCHED - WebPage was successfully fetched, STATUS_GONE - WebPage no longer exists, STATUS_REDIR_TEMP - WebPage temporarily redirects to other page, STATUS_REDIR_PERM - WebPage permanently redirects to other page, STATUS_RETRY - Fetching unsuccessful, needs to be retried e.g. transient errors and STATUS_NOTMODIFIED - fetching successful - page is not modified * @param value the value to set.
      Overrides:
        `setStatus` in class `WebPage`

    - #### isStatusDirty

          public boolean isStatusDirty()

      Checks the dirty status of the 'status' field. A field is dirty if it represents a change that has not yet been written to the database. A crawl status associated with the WebPage, can be of value STATUS_UNFETCHED - WebPage was not fetched yet, STATUS_FETCHED - WebPage was successfully fetched, STATUS_GONE - WebPage no longer exists, STATUS_REDIR_TEMP - WebPage temporarily redirects to other page, STATUS_REDIR_PERM - WebPage permanently redirects to other page, STATUS_RETRY - Fetching unsuccessful, needs to be retried e.g. transient errors and STATUS_NOTMODIFIED - fetching successful - page is not modified * @param value the value to set.
      Overrides:
        `isStatusDirty` in class `WebPage`

    - #### getFetchTime

          public java.lang.Long getFetchTime()

      Gets the value of the 'fetchTime' field. The system time in milliseconds for when the page was fetched.
      Overrides:
        `getFetchTime` in class `WebPage`

    - #### setFetchTime

          public void setFetchTime(java.lang.Long value)

      Sets the value of the 'fetchTime' field. The system time in milliseconds for when the page was fetched. * @param value the value to set.
      Overrides:
        `setFetchTime` in class `WebPage`

    - #### isFetchTimeDirty

          public boolean isFetchTimeDirty()

      Checks the dirty status of the 'fetchTime' field. A field is dirty if it represents a change that has not yet been written to the database. The system time in milliseconds for when the page was fetched. * @param value the value to set.
      Overrides:
        `isFetchTimeDirty` in class `WebPage`

    - #### getPrevFetchTime

          public java.lang.Long getPrevFetchTime()

      Gets the value of the 'prevFetchTime' field. The system time in milliseconds for when the page was last fetched if it was previously fetched which can be used to calculate time delta within a fetching schedule implementation
      Overrides:
        `getPrevFetchTime` in class `WebPage`

    - #### setPrevFetchTime

          public void setPrevFetchTime(java.lang.Long value)

      Sets the value of the 'prevFetchTime' field. The system time in milliseconds for when the page was last fetched if it was previously fetched which can be used to calculate time delta within a fetching schedule implementation * @param value the value to set.
      Overrides:
        `setPrevFetchTime` in class `WebPage`

    - #### isPrevFetchTimeDirty

          public boolean isPrevFetchTimeDirty()

      Checks the dirty status of the 'prevFetchTime' field. A field is dirty if it represents a change that has not yet been written to the database. The system time in milliseconds for when the page was last fetched if it was previously fetched which can be used to calculate time delta within a fetching schedule implementation * @param value the value to set.
      Overrides:
        `isPrevFetchTimeDirty` in class `WebPage`

    - #### getFetchInterval

          public java.lang.Integer getFetchInterval()

      Gets the value of the 'fetchInterval' field. The default number of seconds between re-fetches of a page. The default is considered as 30 days unless a custom fetch schedle is implemented.
      Overrides:
        `getFetchInterval` in class `WebPage`

    - #### setFetchInterval

          public void setFetchInterval(java.lang.Integer value)

      Sets the value of the 'fetchInterval' field. The default number of seconds between re-fetches of a page. The default is considered as 30 days unless a custom fetch schedle is implemented. * @param value the value to set.
      Overrides:
        `setFetchInterval` in class `WebPage`

    - #### isFetchIntervalDirty

          public boolean isFetchIntervalDirty()

      Checks the dirty status of the 'fetchInterval' field. A field is dirty if it represents a change that has not yet been written to the database. The default number of seconds between re-fetches of a page. The default is considered as 30 days unless a custom fetch schedle is implemented. * @param value the value to set.
      Overrides:
        `isFetchIntervalDirty` in class `WebPage`

    - #### getRetriesSinceFetch

          public java.lang.Integer getRetriesSinceFetch()

      Gets the value of the 'retriesSinceFetch' field. The number of retried attempts at fetching the WebPage since it was last successfully fetched.
      Overrides:
        `getRetriesSinceFetch` in class `WebPage`

    - #### setRetriesSinceFetch

          public void setRetriesSinceFetch(java.lang.Integer value)

      Sets the value of the 'retriesSinceFetch' field. The number of retried attempts at fetching the WebPage since it was last successfully fetched. * @param value the value to set.
      Overrides:
        `setRetriesSinceFetch` in class `WebPage`

    - #### isRetriesSinceFetchDirty

          public boolean isRetriesSinceFetchDirty()

      Checks the dirty status of the 'retriesSinceFetch' field. A field is dirty if it represents a change that has not yet been written to the database. The number of retried attempts at fetching the WebPage since it was last successfully fetched. * @param value the value to set.
      Overrides:
        `isRetriesSinceFetchDirty` in class `WebPage`

    - #### getModifiedTime

          public java.lang.Long getModifiedTime()

      Gets the value of the 'modifiedTime' field. The system time in milliseconds for when this WebPage was modified by the WebPage author, if this is not available we default to the server for this information. This is important to understand the changing nature of the WebPage.
      Overrides:
        `getModifiedTime` in class `WebPage`

    - #### setModifiedTime

          public void setModifiedTime(java.lang.Long value)

      Sets the value of the 'modifiedTime' field. The system time in milliseconds for when this WebPage was modified by the WebPage author, if this is not available we default to the server for this information. This is important to understand the changing nature of the WebPage. * @param value the value to set.
      Overrides:
        `setModifiedTime` in class `WebPage`

    - #### isModifiedTimeDirty

          public boolean isModifiedTimeDirty()

      Checks the dirty status of the 'modifiedTime' field. A field is dirty if it represents a change that has not yet been written to the database. The system time in milliseconds for when this WebPage was modified by the WebPage author, if this is not available we default to the server for this information. This is important to understand the changing nature of the WebPage. * @param value the value to set.
      Overrides:
        `isModifiedTimeDirty` in class `WebPage`

    - #### getPrevModifiedTime

          public java.lang.Long getPrevModifiedTime()

      Gets the value of the 'prevModifiedTime' field. The system time in milliseconds for when this WebPage was previously modified by the author, if this is not available then we default to the server for this information. This is important to understand the changing nature of a WebPage.
      Overrides:
        `getPrevModifiedTime` in class `WebPage`

    - #### setPrevModifiedTime

          public void setPrevModifiedTime(java.lang.Long value)

      Sets the value of the 'prevModifiedTime' field. The system time in milliseconds for when this WebPage was previously modified by the author, if this is not available then we default to the server for this information. This is important to understand the changing nature of a WebPage. * @param value the value to set.
      Overrides:
        `setPrevModifiedTime` in class `WebPage`

    - #### isPrevModifiedTimeDirty

          public boolean isPrevModifiedTimeDirty()

      Checks the dirty status of the 'prevModifiedTime' field. A field is dirty if it represents a change that has not yet been written to the database. The system time in milliseconds for when this WebPage was previously modified by the author, if this is not available then we default to the server for this information. This is important to understand the changing nature of a WebPage. * @param value the value to set.
      Overrides:
        `isPrevModifiedTimeDirty` in class `WebPage`

    - #### getProtocolStatus

          public ProtocolStatus getProtocolStatus()

      Gets the value of the 'protocolStatus' field.
      Overrides:
        `getProtocolStatus` in class `WebPage`

    - #### setProtocolStatus

          public void setProtocolStatus(ProtocolStatus value)

      Sets the value of the 'protocolStatus' field.
      Overrides:
        `setProtocolStatus` in class `WebPage`
      Parameters:
        `value` - the value to set.

    - #### isProtocolStatusDirty

          public boolean isProtocolStatusDirty()

      Checks the dirty status of the 'protocolStatus' field. A field is dirty if it represents a change that has not yet been written to the database.
      Overrides:
        `isProtocolStatusDirty` in class `WebPage`
      Parameters:
        `value` - the value to set.

    - #### getContent

          public java.nio.ByteBuffer getContent()

      Gets the value of the 'content' field. The entire raw document content e.g. raw XHTML
      Overrides:
        `getContent` in class `WebPage`

    - #### setContent

          public void setContent(java.nio.ByteBuffer value)

      Sets the value of the 'content' field. The entire raw document content e.g. raw XHTML * @param value the value to set.
      Overrides:
        `setContent` in class `WebPage`

    - #### isContentDirty

          public boolean isContentDirty()

      Checks the dirty status of the 'content' field. A field is dirty if it represents a change that has not yet been written to the database. The entire raw document content e.g. raw XHTML * @param value the value to set.
      Overrides:
        `isContentDirty` in class `WebPage`

    - #### getContentType

          public java.lang.CharSequence getContentType()

      Gets the value of the 'contentType' field. The type of the content contained within the document itself. ContentType is an alias for MimeType. Historically, this parameter was only called MimeType, but since this is actually the value included in the HTTP Content-Type header, it can also include the character set encoding, which makes it more than just a MimeType specification. If MimeType is specified e.g. not None, that value is used. Otherwise, ContentType is used. If neither is given, the DEFAULT_CONTENT_TYPE setting is used.
      Overrides:
        `getContentType` in class `WebPage`

    - #### setContentType

          public void setContentType(java.lang.CharSequence value)

      Sets the value of the 'contentType' field. The type of the content contained within the document itself. ContentType is an alias for MimeType. Historically, this parameter was only called MimeType, but since this is actually the value included in the HTTP Content-Type header, it can also include the character set encoding, which makes it more than just a MimeType specification. If MimeType is specified e.g. not None, that value is used. Otherwise, ContentType is used. If neither is given, the DEFAULT_CONTENT_TYPE setting is used. * @param value the value to set.
      Overrides:
        `setContentType` in class `WebPage`

    - #### isContentTypeDirty

          public boolean isContentTypeDirty()

      Checks the dirty status of the 'contentType' field. A field is dirty if it represents a change that has not yet been written to the database. The type of the content contained within the document itself. ContentType is an alias for MimeType. Historically, this parameter was only called MimeType, but since this is actually the value included in the HTTP Content-Type header, it can also include the character set encoding, which makes it more than just a MimeType specification. If MimeType is specified e.g. not None, that value is used. Otherwise, ContentType is used. If neither is given, the DEFAULT_CONTENT_TYPE setting is used. * @param value the value to set.
      Overrides:
        `isContentTypeDirty` in class `WebPage`

    - #### getPrevSignature

          public java.nio.ByteBuffer getPrevSignature()

      Gets the value of the 'prevSignature' field. An implementation of a WebPage's previous signature from which it can be identified and referenced at any point in time. This can be used to uniquely identify WebPage deltas based on page fingerprints.
      Overrides:
        `getPrevSignature` in class `WebPage`

    - #### setPrevSignature

          public void setPrevSignature(java.nio.ByteBuffer value)

      Sets the value of the 'prevSignature' field. An implementation of a WebPage's previous signature from which it can be identified and referenced at any point in time. This can be used to uniquely identify WebPage deltas based on page fingerprints. * @param value the value to set.
      Overrides:
        `setPrevSignature` in class `WebPage`

    - #### isPrevSignatureDirty

          public boolean isPrevSignatureDirty()

      Checks the dirty status of the 'prevSignature' field. A field is dirty if it represents a change that has not yet been written to the database. An implementation of a WebPage's previous signature from which it can be identified and referenced at any point in time. This can be used to uniquely identify WebPage deltas based on page fingerprints. * @param value the value to set.
      Overrides:
        `isPrevSignatureDirty` in class `WebPage`

    - #### getSignature

          public java.nio.ByteBuffer getSignature()

      Gets the value of the 'signature' field. An implementation of a WebPage's signature from which it can be identified and referenced at any point in time. This is essentially the WebPage's fingerprint represnting its state for any point in time.
      Overrides:
        `getSignature` in class `WebPage`

    - #### setSignature

          public void setSignature(java.nio.ByteBuffer value)

      Sets the value of the 'signature' field. An implementation of a WebPage's signature from which it can be identified and referenced at any point in time. This is essentially the WebPage's fingerprint represnting its state for any point in time. * @param value the value to set.
      Overrides:
        `setSignature` in class `WebPage`

    - #### isSignatureDirty

          public boolean isSignatureDirty()

      Checks the dirty status of the 'signature' field. A field is dirty if it represents a change that has not yet been written to the database. An implementation of a WebPage's signature from which it can be identified and referenced at any point in time. This is essentially the WebPage's fingerprint represnting its state for any point in time. * @param value the value to set.
      Overrides:
        `isSignatureDirty` in class `WebPage`

    - #### getTitle

          public java.lang.CharSequence getTitle()

      Gets the value of the 'title' field. The title of the WebPage.
      Overrides:
        `getTitle` in class `WebPage`

    - #### setTitle

          public void setTitle(java.lang.CharSequence value)

      Sets the value of the 'title' field. The title of the WebPage. * @param value the value to set.
      Overrides:
        `setTitle` in class `WebPage`

    - #### isTitleDirty

          public boolean isTitleDirty()

      Checks the dirty status of the 'title' field. A field is dirty if it represents a change that has not yet been written to the database. The title of the WebPage. * @param value the value to set.
      Overrides:
        `isTitleDirty` in class `WebPage`

    - #### getText

          public java.lang.CharSequence getText()

      Gets the value of the 'text' field. The textual content of the WebPage devoid from native markup.
      Overrides:
        `getText` in class `WebPage`

    - #### setText

          public void setText(java.lang.CharSequence value)

      Sets the value of the 'text' field. The textual content of the WebPage devoid from native markup. * @param value the value to set.
      Overrides:
        `setText` in class `WebPage`

    - #### isTextDirty

          public boolean isTextDirty()

      Checks the dirty status of the 'text' field. A field is dirty if it represents a change that has not yet been written to the database. The textual content of the WebPage devoid from native markup. * @param value the value to set.
      Overrides:
        `isTextDirty` in class `WebPage`

    - #### getParseStatus

          public ParseStatus getParseStatus()

      Gets the value of the 'parseStatus' field.
      Overrides:
        `getParseStatus` in class `WebPage`

    - #### setParseStatus

          public void setParseStatus(ParseStatus value)

      Sets the value of the 'parseStatus' field.
      Overrides:
        `setParseStatus` in class `WebPage`
      Parameters:
        `value` - the value to set.

    - #### isParseStatusDirty

          public boolean isParseStatusDirty()

      Checks the dirty status of the 'parseStatus' field. A field is dirty if it represents a change that has not yet been written to the database.
      Overrides:
        `isParseStatusDirty` in class `WebPage`
      Parameters:
        `value` - the value to set.

    - #### getScore

          public java.lang.Float getScore()

      Gets the value of the 'score' field. A score used to determine a WebPage's relevance within the web graph it is part of. This score may change over time based on graph characteristics.
      Overrides:
        `getScore` in class `WebPage`

    - #### setScore

          public void setScore(java.lang.Float value)

      Sets the value of the 'score' field. A score used to determine a WebPage's relevance within the web graph it is part of. This score may change over time based on graph characteristics. * @param value the value to set.
      Overrides:
        `setScore` in class `WebPage`

    - #### isScoreDirty

          public boolean isScoreDirty()

      Checks the dirty status of the 'score' field. A field is dirty if it represents a change that has not yet been written to the database. A score used to determine a WebPage's relevance within the web graph it is part of. This score may change over time based on graph characteristics. * @param value the value to set.
      Overrides:
        `isScoreDirty` in class `WebPage`

    - #### getReprUrl

          public java.lang.CharSequence getReprUrl()

      Gets the value of the 'reprUrl' field. In the case where we are given two urls, a source and a destination of a redirect, we should determine and persist the representative url. The logic used to determine this is based largely on Yahoo!'s Slurp Crawler
      Overrides:
        `getReprUrl` in class `WebPage`

    - #### setReprUrl

          public void setReprUrl(java.lang.CharSequence value)

      Sets the value of the 'reprUrl' field. In the case where we are given two urls, a source and a destination of a redirect, we should determine and persist the representative url. The logic used to determine this is based largely on Yahoo!'s Slurp Crawler * @param value the value to set.
      Overrides:
        `setReprUrl` in class `WebPage`

    - #### isReprUrlDirty

          public boolean isReprUrlDirty()

      Checks the dirty status of the 'reprUrl' field. A field is dirty if it represents a change that has not yet been written to the database. In the case where we are given two urls, a source and a destination of a redirect, we should determine and persist the representative url. The logic used to determine this is based largely on Yahoo!'s Slurp Crawler * @param value the value to set.
      Overrides:
        `isReprUrlDirty` in class `WebPage`

    - #### getHeaders

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getHeaders()

      Gets the value of the 'headers' field. Header information returned from the web server used to server the content which is subsequently fetched from. This includes keys such as TRANSFER_ENCODING, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_DISPOSITION, CONTENT_MD5, CONTENT_TYPE, LAST_MODIFIED and LOCATION.
      Overrides:
        `getHeaders` in class `WebPage`

    - #### setHeaders

          public void setHeaders(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'headers' field. Header information returned from the web server used to server the content which is subsequently fetched from. This includes keys such as TRANSFER_ENCODING, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_DISPOSITION, CONTENT_MD5, CONTENT_TYPE, LAST_MODIFIED and LOCATION. * @param value the value to set.
      Overrides:
        `setHeaders` in class `WebPage`

    - #### isHeadersDirty

          public boolean isHeadersDirty()

      Checks the dirty status of the 'headers' field. A field is dirty if it represents a change that has not yet been written to the database. Header information returned from the web server used to server the content which is subsequently fetched from. This includes keys such as TRANSFER_ENCODING, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_DISPOSITION, CONTENT_MD5, CONTENT_TYPE, LAST_MODIFIED and LOCATION. * @param value the value to set.
      Overrides:
        `isHeadersDirty` in class `WebPage`

    - #### getOutlinks

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getOutlinks()

      Gets the value of the 'outlinks' field. Embedded hyperlinks which direct outside of the current domain.
      Overrides:
        `getOutlinks` in class `WebPage`

    - #### setOutlinks

          public void setOutlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'outlinks' field. Embedded hyperlinks which direct outside of the current domain. * @param value the value to set.
      Overrides:
        `setOutlinks` in class `WebPage`

    - #### isOutlinksDirty

          public boolean isOutlinksDirty()

      Checks the dirty status of the 'outlinks' field. A field is dirty if it represents a change that has not yet been written to the database. Embedded hyperlinks which direct outside of the current domain. * @param value the value to set.
      Overrides:
        `isOutlinksDirty` in class `WebPage`

    - #### getInlinks

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getInlinks()

      Gets the value of the 'inlinks' field. Embedded hyperlinks which link to pages within the current domain.
      Overrides:
        `getInlinks` in class `WebPage`

    - #### setInlinks

          public void setInlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'inlinks' field. Embedded hyperlinks which link to pages within the current domain. * @param value the value to set.
      Overrides:
        `setInlinks` in class `WebPage`

    - #### isInlinksDirty

          public boolean isInlinksDirty()

      Checks the dirty status of the 'inlinks' field. A field is dirty if it represents a change that has not yet been written to the database. Embedded hyperlinks which link to pages within the current domain. * @param value the value to set.
      Overrides:
        `isInlinksDirty` in class `WebPage`

    - #### getMarkers

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getMarkers()

      Gets the value of the 'markers' field. Markers flags which represent user and machine decisions which have affected influenced a WebPage's current state. Markers can be system specific and user machine driven in nature. They are assigned to a WebPage on a job-by-job basis and thier values indicative of what actions should be associated with a WebPage.
      Overrides:
        `getMarkers` in class `WebPage`

    - #### setMarkers

          public void setMarkers(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'markers' field. Markers flags which represent user and machine decisions which have affected influenced a WebPage's current state. Markers can be system specific and user machine driven in nature. They are assigned to a WebPage on a job-by-job basis and thier values indicative of what actions should be associated with a WebPage. * @param value the value to set.
      Overrides:
        `setMarkers` in class `WebPage`

    - #### isMarkersDirty

          public boolean isMarkersDirty()

      Checks the dirty status of the 'markers' field. A field is dirty if it represents a change that has not yet been written to the database. Markers flags which represent user and machine decisions which have affected influenced a WebPage's current state. Markers can be system specific and user machine driven in nature. They are assigned to a WebPage on a job-by-job basis and thier values indicative of what actions should be associated with a WebPage. * @param value the value to set.
      Overrides:
        `isMarkersDirty` in class `WebPage`

    - #### getMetadata

          public java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> getMetadata()

      Gets the value of the 'metadata' field. A multi-valued metadata container used for storing everything from structured WebPage characterists, to ad-hoc extraction and metadata augmentation for any given WebPage.
      Overrides:
        `getMetadata` in class `WebPage`

    - #### setMetadata

          public void setMetadata(java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> value)

      Sets the value of the 'metadata' field. A multi-valued metadata container used for storing everything from structured WebPage characterists, to ad-hoc extraction and metadata augmentation for any given WebPage. * @param value the value to set.
      Overrides:
        `setMetadata` in class `WebPage`

    - #### isMetadataDirty

          public boolean isMetadataDirty()

      Checks the dirty status of the 'metadata' field. A field is dirty if it represents a change that has not yet been written to the database. A multi-valued metadata container used for storing everything from structured WebPage characterists, to ad-hoc extraction and metadata augmentation for any given WebPage. * @param value the value to set.
      Overrides:
        `isMetadataDirty` in class `WebPage`

    - #### getBatchId

          public java.lang.CharSequence getBatchId()

      Gets the value of the 'batchId' field. A batchId that this WebPage is assigned to. WebPage's are fetched in batches, called fetchlists. Pages are partitioned but can always be associated and fetched alongside pages of similar value (within a crawl cycle) based on batchId.
      Overrides:
        `getBatchId` in class `WebPage`

    - #### setBatchId

          public void setBatchId(java.lang.CharSequence value)

      Sets the value of the 'batchId' field. A batchId that this WebPage is assigned to. WebPage's are fetched in batches, called fetchlists. Pages are partitioned but can always be associated and fetched alongside pages of similar value (within a crawl cycle) based on batchId. * @param value the value to set.
      Overrides:
        `setBatchId` in class `WebPage`

    - #### isBatchIdDirty

          public boolean isBatchIdDirty()

      Checks the dirty status of the 'batchId' field. A field is dirty if it represents a change that has not yet been written to the database. A batchId that this WebPage is assigned to. WebPage's are fetched in batches, called fetchlists. Pages are partitioned but can always be associated and fetched alongside pages of similar value (within a crawl cycle) based on batchId. * @param value the value to set.
      Overrides:
        `isBatchIdDirty` in class `WebPage`

    - #### getSitemaps

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getSitemaps()

      Gets the value of the 'sitemaps' field. Sitemap urls in robot.txt
      Overrides:
        `getSitemaps` in class `WebPage`

    - #### setSitemaps

          public void setSitemaps(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'sitemaps' field. Sitemap urls in robot.txt * @param value the value to set.
      Overrides:
        `setSitemaps` in class `WebPage`

    - #### isSitemapsDirty

          public boolean isSitemapsDirty()

      Checks the dirty status of the 'sitemaps' field. A field is dirty if it represents a change that has not yet been written to the database. Sitemap urls in robot.txt * @param value the value to set.
      Overrides:
        `isSitemapsDirty` in class `WebPage`

    - #### getStmPriority

          public java.lang.Float getStmPriority()

      Gets the value of the 'stmPriority' field.
      Overrides:
        `getStmPriority` in class `WebPage`

    - #### setStmPriority

          public void setStmPriority(java.lang.Float value)

      Sets the value of the 'stmPriority' field. * @param value the value to set.
      Overrides:
        `setStmPriority` in class `WebPage`

    - #### isStmPriorityDirty

          public boolean isStmPriorityDirty()

      Checks the dirty status of the 'stmPriority' field. A field is dirty if it represents a change that has not yet been written to the database. * @param value the value to set.
      Overrides:
        `isStmPriorityDirty` in class `WebPage`

Copyright © 2019 The Apache Software Foundation